Subject: floating point routines for Ikonas



I've written BPS microcode subroutines for floating point arithmetic.
They're called fadd, fsub, fmul, fdiv, int_flt, flt_int, and fcmp.
Look at the source file, /usr/ph/ik/math/farith.k, for the calling
conventions, or talk to me.  They're roughly twice as fast as the
ones advertised by Biographics in Dallas, 1/6 to 1/2 as fast as a VAX
with floating point accelerator (depending on how you measure it).

				  IKONAS	  VAX 780
A table of speeds [usec]:  Biographics  mine    float   double
					     (from assembler, not C)
		add/subtract	15	 8	1.3	2.4
		multiply	20	 8	1.7	4.3
		divide		22	11	4.9	9.2

If there's demand, I can write floating point sqrt, log, exp, and
trig functions too.